import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';
import { r as randomIdGenerator } from './randomIdGenerator.util.js';

const logoCss = ".sc-digi-logo-h{display:contents;color:var(--digi--global--color--profile--purple--base)}.digi-logo.sc-digi-logo{width:140px;height:auto}@media (min-width: 48rem){.digi-logo.sc-digi-logo{width:160px}}";

const Logo = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.relation = undefined;
    this.afTitle = 'Skolverket';
    this.afDesc = undefined;
    this.afSvgAriaHidden = undefined;
    this.afTitleId = randomIdGenerator('digi-logo__title');
  }
  get cssModifiers() {
    return {
      'digi-logo': true
    };
  }
  render() {
    return (h("svg", { class: Object.assign({}, this.cssModifiers), xmlns: "http://www.w3.org/2000/svg", width: "462", height: "80.783", viewBox: "0 0 462 80.783", "aria-hidden": this.afSvgAriaHidden && 'true', role: "img" }, this.afTitle && h("title", { id: this.afTitleId }, this.afTitle), this.afDesc && h("desc", null, this.afDesc), h("path", { d: "M460.847 32.616c-.785.122-3.312.122-6 .122h-8.206c-.639 0-.95 0-.79-.843a44.658 44.658 0 0 1 4.417-10.879c.628-.712-.468-.959-1.584-.349a43.706 43.706 0 0 0-7.1 4.89 18.321 18.321 0 0 0-3.626 5.98 1.679 1.679 0 0 1-1.584 1.441c-.784.108-1.889.352-3.315.593-2.054.477-6.157 1.909-7.1 2.63-1.267.959-1.1 1.56.32 1.56h7.895c1.578 0 1.578.232 1.249 1.186a567.81 567.81 0 0 0-3.4 13.375c-2.04 2.089-4.452 3.934-6.61 5.82q-5.008 4.395-10.245 8.517c-.006 0-.009 0-.009.02l-1.633 1.215c-3.586 2.389-8.5 4.765-12.038 4.765-5.84 0-9.318-3.464-9.159-12.794 0-1.316.16-2.388.16-3.219.154-1.322.474-1.441 1.1-1.682a122.228 122.228 0 0 0 16.423-6.215c4.585-2.144 10.431-5.733 10.585-10.757a7.157 7.157 0 0 0-7.27-7.165c-3.626 0-12.32 3.937-17.048 7.409-3.475 2.377-13.087 10.972-13.267 28.008 0 0-.285.86-3.545 3.992a46.53 46.53 0 0 1-5.945 4.463 3.793 3.793 0 0 1-.459.087c-.108 0-.209.012-.317.012-4.263 0-7.892-5.128-9.943-8.118-3.007-4.42-5.364-9.438-6.634-11.355A18.439 18.439 0 0 0 354.1 52.1c-.628-.726-.628-1.307 1.273-2.266 3.786-2.4 12.151-8.014 14.363-9.688 1.9-1.549 4.268-3.7 4.268-5.611 0-1.447-.793-3.827-3.481-3.827a5.9 5.9 0 0 0-3.312 1.069 22.853 22.853 0 0 0-4.263 2.757 2.642 2.642 0 0 0-1.11 2.743c.16 1.2-.785 4.661-4.579 7.886a44.579 44.579 0 0 1-11.2 7.055c-1.749.6-1.9.354-1.581-1.308 2.685-11.963 8.845-42.321 10.106-46.386l-12.16 1.912c2.054-.232 2.208.6 1.424 5.495-2.049 11.605-7.581 38.982-11.05 51.883-.95 3.821-2.217 8.49-3.475 13.866-.479 1.677-.479 2.621.619 2.621.959 0 4.9-1.909 5.852-2.5a8.22 8.22 0 0 0 2.993-4.074c1.261-3.7 2.377-8.243 3.013-11 .468-2.136.941-4.411 1.415-6.567.311-1.557.477-1.918 1.421-1.787 1.572.232 2.839 1.313 4.9 5.846a137.82 137.82 0 0 0 7.572 13.86c3.321 4.664 6.639 6.218 9.626 6.218 2.394 0 5.686-.945 9.3-3.871a36.992 36.992 0 0 0 7.3-6.369c.968 5.213 4.1 9.527 10.251 9.527 6.977 0 18.41-6.756 24.094-11.841q4.725-3.761 9.278-7.735c1.331-1.154 2.714-2.29 4.068-3.458-.991 4.3-1.86 8.328-2.383 11.332-1.267 6.439-.79 11.942 2.531 11.942 2.676 0 12.157-6.805 18.794-13.869.459-.477-.482-1.313-1.279-.828-2.208 1.668-7.261 5.489-9.472 5.489-1.415 0-1.572-2.633-.636-8.717a170.937 170.937 0 0 1 5.376-23.193 1.291 1.291 0 0 1 1.424-.95c1.267 0 2.993-.128 4.425-.241a24.648 24.648 0 0 0 5.2-.959 28.258 28.258 0 0 0 6.32-3.112c1.103-.596.792-1.072-.478-.828Zm-67.266 17.571c.953-4.542 3.167-8.485 4.893-10.042 1.743-1.793 4.736-3.7 7.273-3.7a5.245 5.245 0 0 1 5.527 5.73c0 1.319-.95 2.993-2.839 4.306-3.007 1.918-7.27 3.708-13.9 5.027-1.1.241-1.1-.363-.95-1.319ZM62.759 3.237C60.322 1.247 55.15 0 49.056 0A38.765 38.765 0 0 0 27.22 6.747C19.5 11.823 16.449 17.521 16.565 24.28c.131 7.7 6.186 13.1 16.339 17.7 7.72 3.388 17.629 7.517 17.629 17.358s-6.866 15.554-19.66 15.554c-9.545 0-18.053-4.028-20.514-9.993-.767-1.863-1.418-3.693-1.215-4.768.407-.921-1.22-1.078-2.237 0-.808 1.075-3.045 3.522-4.664 5.381C.814 66.734 0 67.975 0 69.358c0 2.31 1.831 4.916 4.879 6.921 3.655 2.606 11.335 4.5 19.055 4.5 7.3 0 14.27-2.261 21.176-5.811 8.734-4.594 16.824-10.873 16.7-19.953-.134-9.565-10.763-16.089-18.48-19.614C34.4 31.4 26.354 26.86 26.354 18.1c0-8.153 6.959-12.977 15.08-12.855 10.591.145 15.435 4.146 14.217 9.676-.407 2.011 1.828 2.31 3.042.93 2.031-2.15 3.051-3.071 4.678-4.765 1.217-1.241 1.822-2.3 1.822-3.379a6.024 6.024 0 0 0-2.434-4.47Zm263.608 27.589c-2.688 0-5.056 2.388-6.323 3.35a90.6 90.6 0 0 0-13.1 15.168c-.639.959-1.258.959-1.1 0 1.1-5.736 2.057-10.149 2.371-13.386.308-1.909.308-5.131-2.057-5.131l-9.949 11.347c2.371-.834 2.679.357 2.051 4.664q-.405 2.669-.889 5.326c-.035.032-.07.037-.1.069q-8.83 7.392-17.771 14.651a.193.193 0 0 0-.02.035c-3.623 2.691-9.411 5.742-13.43 5.742-5.837 0-9.313-3.464-9.15-12.794 0-1.316.157-2.388.157-3.219.154-1.322.465-1.441 1.1-1.682a122.921 122.921 0 0 0 16.432-6.215c4.561-2.151 10.411-5.736 10.564-10.76a7.147 7.147 0 0 0-7.25-7.165c-3.647 0-12.326 3.937-17.068 7.409a24.069 24.069 0 0 0-3.586 3.08 10.918 10.918 0 0 1-4.719 1.732 13.023 13.023 0 0 1-6.349-.32 9.106 9.106 0 0 1-3.153-1.688c.07-.308.221-1.122.221-1.122a22.573 22.573 0 0 0 .372-2.885c.163-3.458-2.051-6.206-5.2-6.206a6.786 6.786 0 0 0-6.32 4.536c-.308.959.166 1.31.639 1.8.944.834 2.046 2.383 2.046 5.858 0 6.936-5.527 15.894-15.473 24.75-1.424 1.43-1.892 1.43-1.892-.363 0-5.39-.16-11.954-.477-18.887-.474-8.973-2.211-17.69-6.945-17.69l-5.689 7.886c2.075 0 3.036 3.278 3.926 9.97-7.476 7.366-15.766 13.587-24.21 19.779a7.8 7.8 0 0 1-2.766 1.087c-1.261 0-1.1-3.824-.154-9.325 3.156-17.335 7.1-37.535 12.945-57.018l-12.791 2.15c2.051.119 3 .36 1.424 7.531-.976 4.515-1.964 8.955-2.935 13.346-.552.959-3.865 5.306-3.865 5.306a61.627 61.627 0 0 1-4.4 4.492 25.8 25.8 0 0 1-5.312 3.449c-1.552.86-4.771.857-4.771.857q-.457-.061-.907-.163c-1.2-4.94-4.527-9.348-11.916-9.348-4.109 0-9.949 2.746-15.313 5.98a33.426 33.426 0 0 0-15.635 27.723c0 .744.076 1.947.142 2.636l-1.331 1.577-2.383 2.194a30.8 30.8 0 0 1-4.812 3.49 4.571 4.571 0 0 1-1.177.363c-.128 0-.253.009-.386.009-4.257 0-7.9-5.128-9.943-8.118-3-4.42-5.375-9.438-6.634-11.355A19.53 19.53 0 0 0 89.05 52.1c-.639-.726-.639-1.307 1.255-2.266 3.795-2.4 12.166-8.014 14.377-9.688 1.889-1.549 4.263-3.7 4.263-5.611 0-1.447-.793-3.827-3.478-3.827a5.889 5.889 0 0 0-3.312 1.069 22.545 22.545 0 0 0-4.26 2.757 2.632 2.632 0 0 0-1.11 2.743c.154 1.2-.793 4.661-4.582 7.886a44.868 44.868 0 0 1-11.21 7.055c-1.738.6-1.889.354-1.581-1.308C82.1 38.947 88.254 8.589 89.515 4.524L77.36 6.436c2.051-.232 2.208.6 1.424 5.495C76.73 23.536 71.2 50.913 67.728 63.814c-.947 3.821-2.214 8.49-3.469 13.866-.482 1.677-.482 2.621.631 2.621.947 0 4.9-1.909 5.837-2.5a8.3 8.3 0 0 0 3-4.074c1.261-3.7 2.365-8.243 3-11 .471-2.136.944-4.411 1.421-6.567.32-1.557.474-1.918 1.418-1.787 1.584.232 2.845 1.313 4.9 5.846a137.239 137.239 0 0 0 7.572 13.86c3.321 4.664 6.634 6.218 9.635 6.218 2.261 0 5.335-.849 8.717-3.423a36.781 36.781 0 0 0 8.034-6.474c1.729 5.849 6.145 9.185 11.983 9.185 3.795 0 10.266-2.615 15.316-5.861 10.263-6.683 15.322-19.238 15.322-28.083a22.523 22.523 0 0 0-.07-2.368c6.291.517 12.541-4.364 17.17-9.891-2.542 11.434-5.027 22.586-7.311 33.886-1.587 7.3-.636 12.558 1.575 12.558 1.2 0 7.235-3.835 13.837-9.841 7.764-5.713 15.4-11.448 22.362-18.12.825 8.708.247 19.546-.195 25.706 0 1.171.163 2.255 1.418 2.255.79 0 2.525-1.308 4.425-2.984a39.712 39.712 0 0 0 5.21-5.033C230 60.682 238.52 51.16 241.99 43.608c3.455 2.258 7.3 2.743 11.707 2.046a36.749 36.749 0 0 0-6.125 20.671c0 6.7 3 13.264 10.577 13.264 6.741 0 17.611-6.288 23.466-11.291q7.569-6.179 15.066-12.445c-1.22 6.294-2.856 13.436-5.056 21.827-.471 1.677-.308 2.621.633 2.621 1.1 0 4.9-1.909 5.846-2.621a7.27 7.27 0 0 0 2.842-3.952c1.1-3.7 1.894-8.243 2.522-11a33.666 33.666 0 0 1 3.478-8.952c5.21-8.374 10.1-12.675 12.788-12.675a3.272 3.272 0 0 1 2.368.834c.477.36 1.11 1.075 1.889 1.075s2.214-1.075 4.266-3.469c1.586-1.781 3.007-3.934 3.007-4.78.156-1.073-.797-3.935-4.897-3.935Zm-68.219 19.361c.95-4.542 3.158-8.485 4.9-10.042 1.746-1.793 4.742-3.7 7.264-3.7a5.254 5.254 0 0 1 5.538 5.73c0 1.319-.965 2.993-2.853 4.306-3 1.918-7.264 3.708-13.9 5.027-1.103.239-1.103-.365-.949-1.321Zm-106.891-2.04c0 7.061-1.74 18.41-7.264 23.437a10.545 10.545 0 0 1-6.785 2.743c-5.375 0-9.635-3.457-9.635-13.02.16-11.245 3.632-18.9 7.424-22.359a9.289 9.289 0 0 1 6.95-2.868c7.735 0 9.467 6.22 9.31 12.067Z", fill: "currentColor" })));
  }
  static get style() { return logoCss; }
}, [2, "digi-logo", {
    "afTitle": [1, "af-title"],
    "afDesc": [1, "af-desc"],
    "afSvgAriaHidden": [4, "af-svg-aria-hidden"],
    "afTitleId": [1, "af-title-id"],
    "relation": [32]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["digi-logo"];
  components.forEach(tagName => { switch (tagName) {
    case "digi-logo":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, Logo);
      }
      break;
  } });
}
defineCustomElement();

export { Logo as L, defineCustomElement as d };
